https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/custom_settingsRetrieves a list of custom user settings for a single user. Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system. **Note:** Custom user settings are not the same as user account settings. If the custom user settings you want to retrieve are grouped, you must include the `X-DocuSign-User-Settings-Key` header in the request: `X-DocuSign-User-Settings-Key:group_name` Where the `group_name` is your designated name for the group of customer user settings. If the `X-DocuSign-User-Settings-Key` header is not included, only the custom user settings that were added without a group are retrieved.
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/custom_settings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/custom_settingsRetrieves a list of custom user settings for a single user. Custom settings provide a flexible way to store and retrieve custom user information that can be used in your own system. **Note:** Custom user settings are not the same as user account settings. If the custom user settings you want to retrieve are grouped, you must include the `X-DocuSign-User-Settings-Key` header in the request: `X-DocuSign-User-Settings-Key:group_name` Where the `group_name` is your designated name for the group of customer user settings. If the `X-DocuSign-User-Settings-Key` header is not included, only the custom user settings that were added without a group are retrieved.
The external account number (int) or account ID GUID.
The ID of the user to access. **Note:** Users can only access their own information. A user, even one with Admin rights, cannot access another user's settings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/users/{userId}/custom_settings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}